Tracker
Frontend vs Backend requests
{
"user_id": "123",
"event_type": "clicks:event",
"data": {
"event_id": "1018561959",
"position": 0,
"location": "widget:recommended",
"page": "/home"
}
}{
"user_id": "123",
"event_type": "clicks:event",
"data": {
"event_id": "1018561959",
"position": 0,
"location": "widget:recommended",
"page": "/home",
"brand": "https://website.com",
"channel": "android"
}
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-vaix-client-idstringRequired
Custom client header, the value should be the name of the group the user belongs to
x-vaix-authentication-methodstringOptional
Authentication method to be used, supported values [vaix, iam]. Defaults to vaix
Body
A tracker event object
dataobjectOptional
The tracking event info
event_typestring · enumOptionalPossible values:
The type of the event
user_idstringOptional
The user identifier
Responses
204
No Content
400
Bad Request
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
406
Not Acceptable
application/json
413
Request Entity Too Large
application/json
422
Unprocessable Entity
application/json
425
Too Early
application/json
500
Internal Server Error
application/json
post
/api/tracker/eventsNo content
Last updated
Was this helpful?